Fibo Edit
Integrere
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/se/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Riŋge Fibo Edit-modeallii (bria/fibo-edit/edit) Doitong API bokte. Dokumentašuvdna ageanttaide: https://doitong.com/se/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Jus vástádusa status lea "queued" dahje "running", jeara GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 dassážii go dat lea "succeeded"; fiillat leat outputs[].url:s. POST https://api.doitong.com/v1/quote/bria/fibo-edit/edit seamma boduin máksá dárkilis haddái ovdal vuodjámis.
Dát ohcamuš: 0,04 $ 40 API-kreditta Vuodje dán siiddu alde
Du ođđa API-čoavdda. Dat čájehuvvo dušše dál ja lea juo koden ja API-čoavdda giettis dás vuolábealde. Bisso dan čihkosis: ale goassige bidde dan kodaide mat vuđđojuvvojit fierpmádatrávnnji.
Dát lea du vuosttaš bohtos
Daga jearaldaga vuolábealde ja vuodje dan iežat API-čoavddain. Boađusat kopierejuvvojit min vurkemii, bisuhuvvojit álo dahje 7 beaivvi nuvttá.
Ráhkat jearaldaga
Kontrollat ráhkaduvvojit modealla skeama vuođul. Koda ja haddi ođasmahttojuvvojit go rievddadat daid.
/run/bria/fibo-edit/edit?wait=20
haddemearrádus → 0,04 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
Geavat dán ohcamuša
Du key báhcá dán fierpmádatlogan: dat sáddejuvvo dušše Doitong API:ii ja vurkejuvvo (localStorage) dušše jos válljet Remember. Viečča API-keya
Dát lea Fibo Edit birra
Rievdada gova dárkilis stivremiin. Inputat leat `image_url`, eaktodáhtolaš `mask_url`, ja `instruction` dahje ovdal ráhkaduvvon `vgl`. Eará láhkai sáhtát addit `original_vgl` ja `new_vgl` rievdadit daid erohusa vuođul. `steps_num` gullá 20 rájes 50 rádjái (standárda 30), ja lassin leat `guidance_scale`, `negative_prompt` ja `seed`.
Parametterat
Sádde kanonala nama dahje iežas nama, ii goappašiid. Kanonala namat
image_urleaktodáhtolaš
image
mask_urleaktodáhtolaš
mask
instructioneaktodáhtolaš
vgleaktodáhtolaš
vgl.short_descriptioneaktodáhtolaš
vgl.objectseaktodáhtolaš
vgl.objects[].descriptioneaktodáhtolaš
vgl.objects[].locationeaktodáhtolaš
vgl.objects[].relationshipgáibiduvvo
vgl.objects[].relative_sizeeaktodáhtolaš
vgl.objects[].shape_and_coloreaktodáhtolaš
vgl.objects[].textureeaktodáhtolaš
vgl.objects[].appearance_detailseaktodáhtolaš
vgl.objects[].number_of_objectseaktodáhtolaš
vgl.objects[].poseeaktodáhtolaš
vgl.objects[].expressioneaktodáhtolaš
vgl.objects[].clothingeaktodáhtolaš
vgl.objects[].actioneaktodáhtolaš
vgl.objects[].gendereaktodáhtolaš
vgl.objects[].skin_tone_and_textureeaktodáhtolaš
vgl.objects[].orientationeaktodáhtolaš
vgl.background_settingeaktodáhtolaš
vgl.lightingeaktodáhtolaš
vgl.lighting.conditionseaktodáhtolaš
vgl.lighting.directioneaktodáhtolaš
vgl.lighting.shadowseaktodáhtolaš
vgl.aestheticseaktodáhtolaš
vgl.aesthetics.compositioneaktodáhtolaš
vgl.aesthetics.color_schemeeaktodáhtolaš
vgl.aesthetics.mood_atmosphereeaktodáhtolaš
vgl.aesthetics.preference_scoreeaktodáhtolaš
vgl.aesthetics.aesthetic_scoreeaktodáhtolaš
vgl.photographic_characteristicseaktodáhtolaš
vgl.photographic_characteristics.depth_of_fieldeaktodáhtolaš
vgl.photographic_characteristics.focuseaktodáhtolaš
vgl.photographic_characteristics.camera_angleeaktodáhtolaš
vgl.photographic_characteristics.lens_focal_lengtheaktodáhtolaš
vgl.style_mediumeaktodáhtolaš
vgl.text_rendereaktodáhtolaš
vgl.contexteaktodáhtolaš
vgl.artistic_styleeaktodáhtolaš
vgl.edit_instructioneaktodáhtolaš
original_vgleaktodáhtolaš
original_vgl.short_descriptioneaktodáhtolaš
original_vgl.objectseaktodáhtolaš
original_vgl.objects[].descriptioneaktodáhtolaš
original_vgl.objects[].locationeaktodáhtolaš
original_vgl.objects[].relationshipgáibiduvvo
original_vgl.objects[].relative_sizeeaktodáhtolaš
original_vgl.objects[].shape_and_coloreaktodáhtolaš
original_vgl.objects[].textureeaktodáhtolaš
original_vgl.objects[].appearance_detailseaktodáhtolaš
original_vgl.objects[].number_of_objectseaktodáhtolaš
original_vgl.objects[].poseeaktodáhtolaš
original_vgl.objects[].expressioneaktodáhtolaš
original_vgl.objects[].clothingeaktodáhtolaš
original_vgl.objects[].actioneaktodáhtolaš
original_vgl.objects[].gendereaktodáhtolaš
original_vgl.objects[].skin_tone_and_textureeaktodáhtolaš
original_vgl.objects[].orientationeaktodáhtolaš
original_vgl.background_settingeaktodáhtolaš
original_vgl.lightingeaktodáhtolaš
original_vgl.lighting.conditionseaktodáhtolaš
original_vgl.lighting.directioneaktodáhtolaš
original_vgl.lighting.shadowseaktodáhtolaš
original_vgl.aestheticseaktodáhtolaš
original_vgl.aesthetics.compositioneaktodáhtolaš
original_vgl.aesthetics.color_schemeeaktodáhtolaš
original_vgl.aesthetics.mood_atmosphereeaktodáhtolaš
original_vgl.aesthetics.preference_scoreeaktodáhtolaš
original_vgl.aesthetics.aesthetic_scoreeaktodáhtolaš
original_vgl.photographic_characteristicseaktodáhtolaš
original_vgl.photographic_characteristics.depth_of_fieldeaktodáhtolaš
original_vgl.photographic_characteristics.focuseaktodáhtolaš
original_vgl.photographic_characteristics.camera_angleeaktodáhtolaš
original_vgl.photographic_characteristics.lens_focal_lengtheaktodáhtolaš
original_vgl.style_mediumeaktodáhtolaš
original_vgl.text_rendereaktodáhtolaš
original_vgl.contexteaktodáhtolaš
original_vgl.artistic_styleeaktodáhtolaš
original_vgl.edit_instructioneaktodáhtolaš
new_vgleaktodáhtolaš
new_vgl.short_descriptioneaktodáhtolaš
new_vgl.objectseaktodáhtolaš
new_vgl.objects[].descriptioneaktodáhtolaš
new_vgl.objects[].locationeaktodáhtolaš
new_vgl.objects[].relationshipgáibiduvvo
new_vgl.objects[].relative_sizeeaktodáhtolaš
new_vgl.objects[].shape_and_coloreaktodáhtolaš
new_vgl.objects[].textureeaktodáhtolaš
new_vgl.objects[].appearance_detailseaktodáhtolaš
new_vgl.objects[].number_of_objectseaktodáhtolaš
new_vgl.objects[].poseeaktodáhtolaš
new_vgl.objects[].expressioneaktodáhtolaš
new_vgl.objects[].clothingeaktodáhtolaš
new_vgl.objects[].actioneaktodáhtolaš
new_vgl.objects[].gendereaktodáhtolaš
new_vgl.objects[].skin_tone_and_textureeaktodáhtolaš
new_vgl.objects[].orientationeaktodáhtolaš
new_vgl.background_settingeaktodáhtolaš
new_vgl.lightingeaktodáhtolaš
new_vgl.lighting.conditionseaktodáhtolaš
new_vgl.lighting.directioneaktodáhtolaš
new_vgl.lighting.shadowseaktodáhtolaš
new_vgl.aestheticseaktodáhtolaš
new_vgl.aesthetics.compositioneaktodáhtolaš
new_vgl.aesthetics.color_schemeeaktodáhtolaš
new_vgl.aesthetics.mood_atmosphereeaktodáhtolaš
new_vgl.aesthetics.preference_scoreeaktodáhtolaš
new_vgl.aesthetics.aesthetic_scoreeaktodáhtolaš
new_vgl.photographic_characteristicseaktodáhtolaš
new_vgl.photographic_characteristics.depth_of_fieldeaktodáhtolaš
new_vgl.photographic_characteristics.focuseaktodáhtolaš
new_vgl.photographic_characteristics.camera_angleeaktodáhtolaš
new_vgl.photographic_characteristics.lens_focal_lengtheaktodáhtolaš
new_vgl.style_mediumeaktodáhtolaš
new_vgl.text_rendereaktodáhtolaš
new_vgl.contexteaktodáhtolaš
new_vgl.artistic_styleeaktodáhtolaš
new_vgl.edit_instructioneaktodáhtolaš
seedeaktodáhtolaš
steps_numeaktodáhtolaš
negative_prompteaktodáhtolaš
guidance_scaleeaktodáhtolaš
Fiilaparametterat váldet almmolaš https:// URL:a, data: URI:a gitta 10 MB, dahje uploada file_url:a. Fiillat
Boađus
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Outputa giettit
- image
- object {url, content_type, file_name, file_size, width, height}Modealla ráhkadan govva.
- images
- array of object {url, content_type, file_name, file_size, width, height}Ráhkadeami bokte buvttaduvvon govvat.
- vgl
- objectVGL-dokumenta geavahuvvon gova ráhkadeapmái.
- structured_instruction
- objectHeaittihuvvon alias seamma dokumentii; geavat `vgl` dan sadjái.
Eará Fibo Edit-variánttat
Eanet modeallat: Gova heiveheapmi
AI-agenttaide: dán siidu Markdowna lea dáppe https://doitong.com/se/developers/models/bria/fibo-edit/edit.md. Buot modeallat ja ráđit: https://doitong.com/developers/llms.txt






